#include <dkutil_c/dkutil_cstd/stdlib.h>



#include "nysl_cpu.h"


static NYSL_CPU_CPU_INFO gInfo;
static BOOL gIsInited = FALSE;

int WINAPI nysl_cpuGetX86CPUInfo(NYSL_CPU_CPU_INFO *dest)
{
	return dkcstd_getX86CPUInfo(dest,10);
}

BOOL WINAPI nysl_cpuIsFPU(){
	return gInfo.bFPU;	
}
BOOL WINAPI nysl_cpuIsTSC(){
	return gInfo.bTSC;	
}
BOOL WINAPI nysl_cpuIsCMOV(){
	return gInfo.bCMOV;	
}
BOOL WINAPI nysl_cpuIsFCMOV(){
	return gInfo.bFCMOV;	
}
BOOL WINAPI nysl_cpuIsCPUID(){
	return gInfo.bCPUID;	
}
BOOL WINAPI nysl_cpuIsMMX(){
	return gInfo.bMMX;	
}
BOOL WINAPI nysl_cpuIsMMX2(){
	return gInfo.bMMX2;	
}
BOOL WINAPI nysl_cpuIsSSE(){
	return gInfo.bSSE;	
}
BOOL WINAPI nysl_cpuIsSSE2(){
	return gInfo.bSSE2;	
}
BOOL WINAPI nysl_cpuIsSSE3(){
	return gInfo.bSSE3;	
}
BOOL WINAPI nysl_cpuIsHTT(){
	return gInfo.bHTT;	
}
BOOL WINAPI nysl_cpuIs3DNOW(){
	return gInfo.b3DNOW;	
}
BOOL WINAPI nysl_cpuIsE3DNOW(){
	return gInfo.bE3DNOW;	
}
BOOL WINAPI nysl_cpuIs3DNOW_PRO(){
	return gInfo.b3DNOW_PRO;
}


BOOL WINAPI DllMain(HINSTANCE hinstDLL,DWORD fdwReason,LPVOID lpvReserved)
{
  switch(fdwReason)
  {
    case DLL_PROCESS_ATTACH:
    case DLL_PROCESS_DETACH:
			if(FALSE==gIsInited){
				dkcstd_getX86CPUInfo(&gInfo,0);
				gIsInited = TRUE;
			}
      break;
		//ȉI
    case DLL_THREAD_ATTACH:
      break;
    case DLL_THREAD_DETACH:
      break;
  }
  return  TRUE;
}


